#
# insalls lam (LDAP Account Manager)
#

class wmdeit_ldap::lam(
	$archive = "lam_7_2.tar.gz"

) {
	$arcfile = "/tmp/$archive"

        class { 'apache':
                mpm_module => 'prefork',
        }

        class { 'apache::mod::php':
                php_version => '7.3'
        }

        class { '::php':
                extensions => {
                        curl => {},
                },
		notify => Service["apache2"],
		require => Class["apache"]
        }

	file {"/var/www":
		ensure => "directory"
	} ->
	archive {"$arcfile":
		ensure => present,		
		source => "https://srcsrv.wikimedia.de/WMDE/LDAPAccountManager/archive/$archive",
		extract => true,
		extract_path => "/var/www",
		creates => "/var/www/ldapaccountmanager",
	}
}

